com.io7m.jcanephora.fake

## Class JCGLImplementationFake

- java.lang.Object
- - com.io7m.jcanephora.fake.JCGLImplementationFake

- All Implemented Interfaces:
    JCGLImplementationType, JCGLImplementationFakeType

      public final class JCGLImplementationFake
      extends Object
      implements JCGLImplementationFakeType

  A fake implementation of the `JCGLImplementationFakeType` interface.

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static JCGLImplementationFakeType` | `getInstance()`
    `JCGLContextType` | `newContext(String name, FakeShaderListenerType in_listener)` Construct a new context.
    `JCGLContextType` | `newContextSharedWith(JCGLContextType c, String name, FakeShaderListenerType in_listener)` Construct a new context, shared with an existing context.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getInstance

          public static JCGLImplementationFakeType getInstance()

      Returns:
        A reference to the implementation

    - #### newContext

          public JCGLContextType newContext(String name,
                                            FakeShaderListenerType in_listener)
                                     throws JCGLException,
                                            JCGLExceptionUnsupported,
                                            JCGLExceptionNonCompliant

      Description copied from interface: `JCGLImplementationFakeType`
      Construct a new context.
      Specified by:
        `newContext` in interface `JCGLImplementationFakeType`
      Parameters:
        `name` - The name of the new context
        `in_listener` - A shader listener that will be notified of shader compilations
      Returns:
        A new context
      Throws:
        `JCGLException` - On errors
        `JCGLExceptionUnsupported` - If the context is of a version that is not supported
        `JCGLExceptionNonCompliant` - If the implementation constraints yield an implementation that is not OpenGL compliant

    - #### newContextSharedWith

          public JCGLContextType newContextSharedWith(JCGLContextType c,
                                                      String name,
                                                      FakeShaderListenerType in_listener)
                                               throws JCGLException,
                                                      JCGLExceptionUnsupported,
                                                      JCGLExceptionNonCompliant

      Description copied from interface: `JCGLImplementationFakeType`
      Construct a new context, shared with an existing context.
      Specified by:
        `newContextSharedWith` in interface `JCGLImplementationFakeType`
      Parameters:
        `c` - The existing context
        `name` - The name of the new context
        `in_listener` - A shader listener that will be notified of shader compilations
      Returns:
        A new context
      Throws:
        `JCGLException` - On errors
        `JCGLExceptionUnsupported` - If the context is of a version that is not supported
        `JCGLExceptionNonCompliant` - If the implementation constraints yield an implementation that is not OpenGL compliant

Copyright © 2017 <code@io7m.com> http://io7m.com